#include <stdio.h>
#include <stdlib.h>

typedef struct _cvor{
	int vrednost;
	struct _cvor *sledeci;
}cvor;

void greska(){
	printf("-1\n");
	exit(EXIT_FAILURE);
}

cvor* novi_cvor(int x){
	cvor *n = malloc(sizeof(cvor));
	if(n == NULL)
		greska();
	n->vrednost = x;
	n->sledeci = NULL;
}

cvor* dodaj_u_listu(cvor *l, int x){
	cvor *n = novi_cvor(x);
	if(l == NULL){
		n->sledeci = n;
		return n;
	}
	//trazimo zadnji cvor pre glave liste
	cvor *c = l;
	while(c->sledeci != l)
		c = c->sledeci;

	//novi cvor umecemo izmedju c i l
	c->sledeci = n;
	n->sledeci = l;
	return l;
}

int main(){
	int n, k;
	//n - broj plesaca
	//k - izbacujemo svakog k-tog
	cvor *l = NULL;
	scanf("%d%d", &n, &k);
	//kreiramo listu plesaca - 0, 1, 2, ..., n-1
	int i;
	for(i = 0; i < n; i++){
		l = dodaj_u_listu(l, i);
	}
	//sada imamo krzunu listu 0, 1, 2, ..., n-1, 0, 1, 2,.., n-1,0,1,...
	
	while(1){

		//pomeramo se k-1 koraka
		for(i = 1; i < k; i++)
			l = l->sledeci;
		//sada izbujemo l->sledeci
		if(l != l->sledeci){
			cvor *tmp = l->sledeci;
			l->sledeci = l->sledeci->sledeci;
			printf("izbacen je %d\n", tmp->vrednost);
			free(tmp);
		}
		else{
			printf("izbacen je %d\n", l->vrednost);
			free(l);
			break;
		}
	}
}
