#include <stdio.h>
#include <stdlib.h>
#include "liste.h"

int sadrzi(cvor *l, int x){
	if(l == NULL)
		return 0;
	if(l->vrednost == x)
		return 1;
	else
		return sadrzi(l->sledeci, x);
}

cvor* f3(cvor *l1, cvor *l2){
	//zbir el. prve liste koji se ne nalaze u drugoj listi
	if(l1 == NULL)
		return NULL;
	
	if(!sadrzi(l2, l1->vrednost)){
		l1->sledeci = f3(l1->sledeci, l2);
		return l1;
	}
	else{
		cvor *s = l1->sledeci;
		free(l1);
		return f3(s, l2);
	}
		
}

int main(){
	cvor *l1 = ucitaj_listu("ulaz1.txt");
	cvor *l2 = ucitaj_listu("ulaz2.txt");
	l1 = f3(l1, l2);
	ispis_liste(l1);
	l1 = oslobodi(l1);
	l2 = oslobodi(l2);
}
